namespace Mobile
{
    using System;
    using System.Diagnostics;
    using Mobile;
    using Symbol.Barcode;
    using Symbol.StandardForms;

    public class Scanning
    {
        private static Reader _MyReader;
        private static ReaderData _MyReaderData;
        private static EventHandler _MyEventHandler;
        [DebuggerNonUserCode]
        public Scanning()
        {
            // Evaluation version.
        }
        static Scanning()
        {
            Scanning._MyReader = null;
            Scanning._MyReaderData = null;
            Scanning._MyEventHandler = null;
        }
        public static bool InitReader()
        {
            // Evaluation version.
        }
        public static void TermReader()
        {
            if (Scanning._MyReader != null)
            {
                Scanning._MyReader.get_Actions().Disable();
                Scanning._MyReader.Dispose();
                Scanning._MyReader = null;
            }
            if (Scanning._MyReaderData != null)
            {
                Scanning._MyReaderData.Dispose();
                Scanning._MyReaderData = null;
            }
        }
        public static void StartRead()
        {
            // Evaluation version.
        }
        public static void ToggleTrigger()
        {
            if (Scanning._MyReader != null)
            {
                Scanning._MyReader.get_Actions().ToggleSoftTrigger();
            }
        }
        public static void StopRead()
        {
            // Evaluation version.
        }
        public static void Kodovi()
        {
            if (Scanning._MyReader != null)
            {
                EnabledDecoders.Run(Scanning._MyReader);
            }
        }
        public static ReaderData MyReaderData
        {
            get
            {
                return Scanning._MyReader.GetNextReaderData();
            }
        }
        public static EventHandler MyEventHandler
        {
            get
            {
                // Evaluation version.
            }
            set
            {
                Scanning._MyEventHandler = value;
            }
        }
    }
}